Bug 9539 - identd runs as root, not nobody
Summary: identd runs as root, not nobody
Status: CLOSED DUPLICATE of bug 9206
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pidentd   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-18 01:10 UTC by wingc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-21 16:02:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wingc 2000-02-18 01:10:34 UTC
I sent this same bug report in for RH 6.1, but haven't received a response
yet.

The identd daemon in RH 6.2 beta runs as the root user, not 'nobody', which
is unnecessary and for all I know may lead to a security compromise. There
are actually 2 separate bugs:

1. in /etc/inetd.conf, identd is run as 'root' instead of 'nobody'

2. (more importantly) the identd code is multithreaded but is not aware of
the fact that threads do not share UIDs in Linux. This causes some of the
identd threads to run as root when identd is started from init. identd also
fails to drop supplimental group IDs, which results in it having group ID 0
anyway.

A fix against pidentd-3.0.10 can be found at:

http://www.engin.umich.edu/caen/systems/Linux/code/patches/pidentd-3.0.10-security.patch


Thanks,

Chris Wing
wingc@engin.umich.edu

Comment 1 Bill Nottingham 2000-02-21 16:02:59 UTC
*** This bug has been marked as a duplicate of 9206 ***


Note You need to log in before you can comment on or make changes to this bug.